components:
  schemas:
    odata_v4_0_5_context:
      description: The OData description of a payload.
      format: uri-reference
      readOnly: true
      type: string
      x-longDescription: The value of this property shall be the context URL that
        describes the resource according to OData-Protocol and shall be of the form
        defined in the Redfish specification.
    odata_v4_0_5_count:
      description: The number of items in a collection.
      format: int64
      readOnly: true
      type: integer
      x-longDescription: The value of this property shall be an integer representing
        the number of items in a collection.
    odata_v4_0_5_etag:
      description: The current ETag of the resource.
      readOnly: true
      type: string
      x-longDescription: The value of this property shall be a string that is defined
        by the ETag HTTP header definition in RFC7232.
    odata_v4_0_5_id:
      description: The unique identifier for a resource.
      format: uri-reference
      readOnly: true
      type: string
      x-longDescription: The value of this property shall be the unique identifier
        for the resource and it shall be of the form defined in the Redfish specification.
    odata_v4_0_5_idRef:
      additionalProperties: false
      description: A reference to a resource.
      properties:
        '@odata.id':
          $ref: '#/components/schemas/odata_v4_0_5_id'
      type: object
      x-longDescription: The value of this property shall be used for references to
        a resource.
    odata_v4_0_5_nextLink:
      description: The URI to the resource containing the next set of partial members.
      format: uri-reference
      readOnly: true
      type: string
      x-longDescription: The value of this property shall be a URI to a resource,
        with the same @odata.type, containing the next set of partial members.
    odata_v4_0_5_type:
      description: The type of a resource.
      readOnly: true
      type: string
      x-longDescription: The value of this property shall be a URI fragment that specifies
        the type of the resource and it shall be of the form defined in the Redfish
        specification.
